Bump version: 0.2.1.5-cd82-dirty → 0.2.2

Change-Id: I17fe1460bb04da7d10ebaa1410cdb0dd670ece24
changes/68/28468/1 0.2.2
Pau Espin 5 months ago
parent cd82cb23be
commit f30a8a1133
  1. 12
      configure.ac
  2. 14
      contrib/osmo-smlc.spec.in
  3. 17
      debian/changelog
  4. 8
      debian/control

@ -34,12 +34,12 @@ if test "x$PKG_CONFIG_INSTALLED" = "xno"; then
fi
PKG_PROG_PKG_CONFIG([0.20])
PKG_CHECK_MODULES(LIBOSMOCORE, libosmocore >= 1.6.0)
PKG_CHECK_MODULES(LIBOSMOVTY, libosmovty >= 1.6.0)
PKG_CHECK_MODULES(LIBOSMOCTRL, libosmoctrl >= 1.6.0)
PKG_CHECK_MODULES(LIBOSMOGSM, libosmogsm >= 1.6.0)
PKG_CHECK_MODULES(LIBOSMOSIGTRAN, libosmo-sigtran >= 1.5.0)
PKG_CHECK_MODULES(LIBOSMOSCCP, libosmo-sccp >= 1.5.0)
PKG_CHECK_MODULES(LIBOSMOCORE, libosmocore >= 1.7.0)
PKG_CHECK_MODULES(LIBOSMOVTY, libosmovty >= 1.7.0)
PKG_CHECK_MODULES(LIBOSMOCTRL, libosmoctrl >= 1.7.0)
PKG_CHECK_MODULES(LIBOSMOGSM, libosmogsm >= 1.7.0)
PKG_CHECK_MODULES(LIBOSMOSIGTRAN, libosmo-sigtran >= 1.6.0)
PKG_CHECK_MODULES(LIBOSMOSCCP, libosmo-sccp >= 1.6.0)
dnl checks for header files
AC_HEADER_STDC

@ -31,13 +31,13 @@ BuildRequires: pkgconfig >= 0.20
%if 0%{?suse_version}
BuildRequires: systemd-rpm-macros
%endif
BuildRequires: pkgconfig(libosmo-netif) >= 1.1.0
BuildRequires: pkgconfig(libosmo-sccp) >= 1.5.0
BuildRequires: pkgconfig(libosmo-sigtran) >= 1.5.0
BuildRequires: pkgconfig(libosmocore) >= 1.6.0
BuildRequires: pkgconfig(libosmoctrl) >= 1.6.0
BuildRequires: pkgconfig(libosmogsm) >= 1.6.0
BuildRequires: pkgconfig(libosmovty) >= 1.6.0
BuildRequires: pkgconfig(libosmo-netif) >= 1.2.0
BuildRequires: pkgconfig(libosmo-sccp) >= 1.6.0
BuildRequires: pkgconfig(libosmo-sigtran) >= 1.6.0
BuildRequires: pkgconfig(libosmocore) >= 1.7.0
BuildRequires: pkgconfig(libosmoctrl) >= 1.7.0
BuildRequires: pkgconfig(libosmogsm) >= 1.7.0
BuildRequires: pkgconfig(libosmovty) >= 1.7.0
BuildRequires: pkgconfig(talloc)
%{?systemd_requires}

17
debian/changelog vendored

@ -1,3 +1,20 @@
osmo-smlc (0.2.2) unstable; urgency=medium
[ Oliver Smith ]
* treewide: remove FSF address
[ Pau Espin Pedrol ]
* deb/rpm packaging: Drop dependency on autoconf-archive
[ Vadim Yanitskiy ]
* tests: use 'check_PROGRAMS' instead of 'noinst_PROGRAMS'
[ Harald Welte ]
* update git URLs (git -> https; gitea)
* Fill README with content; convert to markdown
-- Pau Espin Pedrol <pespin@sysmocom.de> Wed, 29 Jun 2022 12:21:06 +0200
osmo-smlc (0.2.1) unstable; urgency=medium
[ Pau Espin Pedrol ]

8
debian/control vendored

@ -11,10 +11,10 @@ Build-Depends: debhelper (>=9),
pkg-config,
libsctp-dev,
libtalloc-dev,
libosmocore-dev (>= 1.6.0),
libosmo-sccp-dev (>= 1.5.0),
libosmo-sigtran-dev (>= 1.5.0),
osmo-gsm-manuals-dev (>= 1.2.0)
libosmocore-dev (>= 1.7.0),
libosmo-sccp-dev (>= 1.6.0),
libosmo-sigtran-dev (>= 1.6.0),
osmo-gsm-manuals-dev (>= 1.3.0)
Standards-Version: 3.9.8
Vcs-Git: https://gitea.osmocom.org/cellular-infrastructure/osmo-smlc
Vcs-Browser: https://gitea.osmocom.org/cellular-infrastructure/osmo-smlc

Loading…
Cancel
Save